contrib: integrate RPM spec

Remove OpenSUSE bug report link, set version to 0.0.0, make it build with CentOS 8 etc.

Related: OS#4550
Change-Id: I387b41b6c524cd3f6baad7e89b4b6b347d9998ac
osmith/rpm
Oliver Smith 2 years ago
parent afb705309f
commit f88531305b
  1. 11
      contrib/osmo-sip-connector.spec

@ -12,11 +12,8 @@
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#
Name: osmo-sip-connector
Version: 1.4.0.0
Version: 0.0.0
Release: 0
Summary: MNCC to SIP bridge for osmo-nitb
License: AGPL-3.0-or-later AND GPL-2.0-or-later
@ -27,7 +24,11 @@ BuildRequires: autoconf
BuildRequires: automake
BuildRequires: libtool
BuildRequires: pkgconfig >= 0.20
%if 0%{?centos_ver}
BuildRequires: systemd
%else
BuildRequires: systemd-rpm-macros
%endif
BuildRequires: pkgconfig(libosmocore) >= 1.0.0
BuildRequires: pkgconfig(libosmogsm) >= 1.0.0
BuildRequires: pkgconfig(libosmovty) >= 1.0.0
@ -51,6 +52,7 @@ make %{?_smp_mflags}
%install
%make_install
%if 0%{?suse_version}
%preun
%service_del_preun %{name}.service
@ -62,6 +64,7 @@ make %{?_smp_mflags}
%post
%service_add_post %{name}.service
%endif
%check
make %{?_smp_mflags} check || (find . -name testsuite.log -exec cat {} +)

Loading…
Cancel
Save